This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 463805 - [LTC 6.0 FEAT] 201749:I/O dynamic configuration support
[LTC 6.0 FEAT] 201749:I/O dynamic configuration support
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel (Show other bugs)
6.0
s390x All
high Severity high
: alpha
: ---
Assigned To: Hans-Joachim Picht
Martin Jenner
: FutureFeature
Depends On:
Blocks: 356741 RHEL6Kernel2.6.27
  Show dependency treegraph
 
Reported: 2008-09-24 15:00 EDT by IBM Bug Proxy
Modified: 2010-06-25 02:20 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-17 06:49:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description IBM Bug Proxy 2008-09-24 15:00:55 EDT
=Comment: #0=================================================
Emily J. Ratliff <emilyr@us.ibm.com> - 2008-09-24 13:51 EDT
1. Feature Overview:
Feature Id:	[201749]
a. Name of Feature:	I/O dynamic configuration support
b. Feature Description
This feature provides interfaces to change LPAR IOCDS dynamically and persistent

2. Feature Details:
Sponsor:	zSeries
Architectures:
s390x

Arch Specificity: Purely Arch Specific Code
Affects Core Kernel: Yes
Delivery Mechanism: Direct from community
Category:	RAS
Request Type:	Kernel - Enhancement from IBM
d. Upstream Acceptance:	Accepted
Sponsor Priority	1
f. Severity: High
IBM Confidential:	no
Code Contribution:	IBM code
g. Component Version Target:	2.6.27

3. Business Case
This feature will allow Linux-on-LPAR-only customers as soon as a userspace tool, to not have to
extra install z/VM or z/OS to be able to dynamically change IOCDs and not to do IML of the machine,
which will benefit availability and costs for customers.

4. Primary contact at Red Hat: 
John Jarvis
jjarvis@redhat.com

5. Primary contacts at Partner:
Project Management Contact:
Hans-Georg Markgraf, mgrf@de.ibm.com, Boeblingen 49-7031-16-3978

Technical contact(s):
Gonzalo Muelas Serrano, gmuelas@de.ibm.com

IBM Manager:
Thomas Schwarz, t.schwarz@de.ibm.com
Comment 1 IBM Bug Proxy 2009-03-03 17:10:42 EST
comes via upstream
Comment 2 Hans-Joachim Picht 2009-09-17 06:49:01 EDT
Code is included in the rhel6 kernel via upstream. Marked as CLOSED/CURRENTRELEASE by by Hans-Joachim Picht <hpicht@redhat.com>
Comment 3 IBM Bug Proxy 2010-02-23 05:00:53 EST
------- Comment From mgrf@de.ibm.com 2010-02-23 04:57 EDT-------
Hello Red Hat,
As mentioned this feature need to be blacklisted for R6.

Based on bug calls opened a separate BZ
LTC 60560  -  RIT498253- I/O dynamic configuration support for s390x needs to be blacklisted for RHEL6
Comment 4 IBM Bug Proxy 2010-06-25 02:20:40 EDT
------- Comment From mgrf@de.ibm.com 2010-06-25 02:10 EDT-------
The following BZ is verified OK:
LTC 60560  -  RIT498253- I/O dynamic configuration support for s390x needs to
be blacklisted for RHEL6
-> that verifies this feature is blacklisted in R6.

Further action to be evaluated for future R6 updates.

Based on that set this feature to verified for R6.

Note You need to log in before you can comment on or make changes to this bug.